---
title: Xamarin.Android warning XA4304
description: XA4304 warning code
ms.date: 10/30/2018
---
# Xamarin.Android warning XA4304

## Issue

The `Proguard` MSBuild task encountered a ProGuard configuration file
that was not found on disk. These files are generally declared in your
Xamarin.Android project with a build action of
`ProguardConfiguration`. However, Xamarin.Android also generates
ProGuard configuration files internally during the build process.

To learn more about ProGuard and how it relates to Android
development, see the [Android documentation][android] or the [ProGuard
website][proguard].

## Solution

Verify you are not declaring a `ProguardConfiguration` build item that
does not exist.

Consider submitting a [bug][bug] if you are getting this warning under
normal circumstances.

[android]: https://developer.android.com/studio/build/shrink-code
[proguard]: https://www.guardsquare.com/en/products/proguard/manual
[bug]: https://github.com/xamarin/xamarin-android/wiki/Submitting-Bugs,-Feature-Requests,-and-Pull-Requests
